"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-310/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x10d322290>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x10d322320>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10d3223b0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10d322440>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x10d3224d0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x10d322560>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10d3225f0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10d322680>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10d322710>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10d3227a0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x10d322830>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x10d3228c0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x10d322950>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x10d3229e0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x10d322a70>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x10d322b00>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x10d322b90>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x10d322c20>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x10d322cb0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x10d322d40>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x10d322dd0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x10d322e60>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x10d322ef0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x10d322f80>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x10d3230a0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x10d323010>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x10d323130>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x10d3231c0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x10d323250>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x10d3232e0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x10d323370>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x10d323400>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x10d323490>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x10d323520>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x10d3235b0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x10d323640>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x10d3236d0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x10d323760>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10d3237f0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10d323880>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10d323910>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x10d3239a0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x10d323a30>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x10d323ac0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x10d323b50>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x10d323be0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x10d323c70>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10d323d00>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10d323d90>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x10d323e20>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x10d323eb0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x10d323f40>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x10d35c040>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x10d35c0d0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x10d35c160>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x10d35c1f0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x10d35c280>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10d35c310>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x10d35c3a0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x10d35c430>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x10d35c4c0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x10d35c550>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x10d35c5e0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x10d35c670>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x10d35c700>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x10d35c8b0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x10d35c790>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x10d35c940>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x10d35c9d0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10d35ca60>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x10d35caf0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x10d35cb80>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10d35cca0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x10d35cc10>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x10d35cd30>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x10d35cdc0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x10d35ce50>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x10d35cf70>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x10d35cee0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x10d35d000>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x10d35d090>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x10d35d120>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x10d35d1b0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x10d35d240>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x10d35d2d0>)]
name: str = 'fr_HOCCN'
